package config

import (
	"sorbet/internal/services/config/controller"
	"sorbet/pkg/crud"
)

type Service struct{}

func (*Service) Name() string {
	return "config"
}

func (*Service) Priority() int {
	return 0
}

func (*Service) Init(ctx *crud.Context) error {
	ctx.Routes(&controller.ConfigGroupController{})
	ctx.Routes(&controller.ConfigController{})
	return nil
}

func (s *Service) Bootstrap() error { return nil }
func (s *Service) Destroy() error   { return nil }
