package main

import (
	"log"
	"sorbet/internal"
	"sorbet/pkg/app"
	"sorbet/pkg/env"
)

func main() {
	if err := env.Init(); err != nil {
		panic(err)
	}
	if err := internal.Init(); err != nil {
		panic(err)
	}
	if err := app.Init("--udp", "false"); err != nil {
		panic(err)
	}
	if err := app.Loop(); err != nil {
		log.Panicln(err)
	}
}
